import { ModelFieldType, IModelField } from '@oinone/kunlun-meta';
import { Pagination, SubmitValue } from '@oinone/kunlun-engine';
import { IExpressionQuoteType, IVariableContextItem, IVariableItem, IQueryExpressionParam } from '@oinone/kunlun-vue-expression';
import { FormFieldWidget } from '../../../../../basic';
import { ValidatorInfo } from '../../../../../typing';
/**
 * 变量控件
 */
export declare class VariableFormFieldBaseWidget extends FormFieldWidget {
    initialize(props: any): this;
    protected get quoteType(): IExpressionQuoteType;
    protected get useContextName(): boolean | undefined;
    variableItemList: IVariableItem[];
    protected get valueList(): IVariableItem[];
    protected set valueList(variableItems: IVariableItem[]);
    getVariableItemList(): IVariableItem[];
    setVariableItemList(variableItems: IVariableItem[]): void;
    /**
     * 服务端加载数据结束后务必将该值改为true，否则可能导致部分功能异常
     * @private
     */
    protected isInitData: boolean;
    private isFieldMode;
    private isFieldStore;
    protected minVariableNum: number;
    protected maxVariableNum: number;
    protected pagination: Pagination;
    private modelList;
    private options;
    private variableMaxStringLength;
    private keyword;
    protected get ttypes(): ModelFieldType[];
    protected get contextItems(): IVariableContextItem[];
    protected get isSimpleMode(): boolean;
    protected filterMethod: (field: IModelField) => boolean;
    protected get models(): string[];
    fetchModelData(): Promise<void>;
    private fetchChildren;
    protected onPaginationChange(current: any, pageSize: any): Promise<void>;
    onChangeValueList(list: IVariableItem[]): void;
    onKeywordChange(keyword: any): void;
    validator(): Promise<ValidatorInfo>;
    get queryExpressionParam(): IQueryExpressionParam;
    submit(submitValue: SubmitValue): Promise<import("@oinone/kunlun-engine").SubmitRelationValue | Record<string, unknown> | undefined>;
    customSubmit(): Promise<void>;
    watchModel(): Promise<void>;
    initData(): Promise<IVariableItem[]>;
    watchId(): void;
    protected mounted(): void;
}
